# yapf_node_road.hpp File Reference

Node tailored for road pathfinding. More...

Go to the source code of this file.

## Data Structures
struct | CYapfRoadNodeT< Tkey_ >
| Yapf Node for road YAPF. More...
## Typedefs
typedef CYapfRoadNodeT < CYapfNodeKeyExitDir > | CYapfRoadNodeExitDir
typedef CYapfRoadNodeT < CYapfNodeKeyTrackDir > | CYapfRoadNodeTrackDir
typedef CNodeList_HashTableT < CYapfRoadNodeExitDir, 8, 12 > | CRoadNodeListExitDir
typedef CNodeList_HashTableT < CYapfRoadNodeTrackDir, 10, 14 > | CRoadNodeListTrackDir

## Detailed Description

Node tailored for road pathfinding.

Definition in file yapf_node_road.hpp.